reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
resip::Token Member List

This is the complete list of members for resip::Token, including all inherited members.

addParameter(Parameter *param)resip::ParserCategoryprotected
addParameter(UnknownParameter *unknownParam)resip::ParserCategoryprotected
checkParsed() constresip::LazyParserinline
checkParsed()resip::LazyParserinline
clearUnknownParameters()resip::ParserCategory
clone() constresip::Tokenvirtual
clone(void *location) constresip::Tokenvirtual
clone(PoolBase *pool) constresip::Tokenvirtual
commaHandlingresip::Tokenstatic
CommaHandlingMode enum nameresip::ParserCategory
CommasAllowedOutputCommas enum valueresip::ParserCategory
CommasAllowedOutputMulti enum valueresip::ParserCategory
commutativeParameterHash() constresip::ParserCategory
createParam(ParameterTypes::Type type, ParseBuffer &pb, const std::bitset< 256 > &terminators, PoolBase *pool)resip::Tokenvirtual
defineParam(text, "text", ExistsOrDataParameter, "RFC 3840")resip::Token
defineParam(cause, "cause", UInt32Parameter, "RFC 3326")resip::Token
defineParam(dAlg, "d-alg", DataParameter, "RFC 3329")resip::Token
defineParam(dQop, "d-qop", DataParameter, "RFC 3329")resip::Token
defineParam(dVer, "d-ver", QuotedDataParameter, "RFC 3329")resip::Token
defineParam(expires, "expires", UInt32Parameter, "RFC 3261")resip::Token
defineParam(filename, "filename", DataParameter, "RFC 2183")resip::Token
defineParam(fromTag, "from-tag", DataParameter, "RFC 4235")resip::Token
defineParam(handling, "handling", DataParameter, "RFC 3261")resip::Token
defineParam(id, "id", DataParameter, "RFC 3265")resip::Token
defineParam(q, "q", QValueParameter, "RFC 3261")resip::Token
defineParam(reason, "reason", DataParameter, "RFC 3265")resip::Token
defineParam(retryAfter, "retry-after", UInt32Parameter, "RFC 3265")resip::Token
defineParam(toTag, "to-tag", DataParameter, "RFC 4235")resip::Token
defineParam(extension, "ext", DataParameter, "RFC 3966")resip::Token
defineParam(profileType, "profile-type", DataParameter, "RFC 6080")resip::Token
defineParam(vendor, "vendor", QuotedDataParameter, "RFC 6080")resip::Token
defineParam(model, "model", QuotedDataParameter, "RFC 6080")resip::Token
defineParam(version, "version", QuotedDataParameter, "RFC 6080")resip::Token
defineParam(effectiveBy, "effective-by", UInt32Parameter, "RFC 6080")resip::Token
defineParam(document, "document", DataParameter, "draft-ietf-sipping-config-framework-07 (removed in 08)")resip::Token
defineParam(appId, "app-id", DataParameter, "draft-ietf-sipping-config-framework-05 (renamed to auid in 06, which was then removed in 08)")resip::Token
defineParam(networkUser, "network-user", DataParameter, "draft-ietf-sipping-config-framework-11 (removed in 12)")resip::Token
defineParam(require, "require", ExistsParameter, "RFC 5373")resip::Token
defineParam(utranCellId3gpp, "utran-cell-id-3gpp", DataParameter, "RFC 3455")resip::Token
defineParam(cgi3gpp, "cgi-3gpp", DataParameter, "RFC 3455")resip::Token
defineParam(ccf, "ccf", DataParameter, "RFC 3455")resip::Token
defineParam(ecf, "ecf", DataParameter, "RFC 3455")resip::Token
defineParam(icidValue, "icid-value", DataParameter, "RFC 3455")resip::Token
defineParam(icidGeneratedAt, "icid-generated-at", DataParameter, "RFC 3455")resip::Token
defineParam(origIoi, "orig-ioi", DataParameter, "RFC 3455")resip::Token
defineParam(termIoi, "term-ioi", DataParameter, "RFC 3455")resip::Token
doParse() constresip::LazyParser
EmptyParameterTypeSetresip::ParserCategorystatic
encode(EncodeStream &str) constresip::LazyParser
encodeParameters(EncodeStream &str) constresip::ParserCategory
encodeParsed(EncodeStream &str) constresip::Tokenvirtual
errorContext() constresip::ParserCategoryprotectedvirtual
exists(const Param< Token > &paramType) constresip::Token
exists(const ParamBase &paramType) constresip::Tokeninline
exists(const ExtensionParameter &param) constresip::Token
freeParameter(Parameter *p)resip::ParserCategoryinlineprotected
getHeaderField()resip::LazyParserinline
getParameterByData(const Data &data) constresip::ParserCategoryprotected
getParameterByEnum(ParameterTypes::Type type) constresip::ParserCategory
getPool()resip::ParserCategoryinlineprotected
isEqual(const Token &rhs) constresip::Token
isParsed() constresip::LazyParserinline
isWellFormed() constresip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue)resip::LazyParserexplicit
LazyParser(const char *buf, int length)resip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser(const LazyParser &rhs)resip::LazyParser
LazyParser(const LazyParser &rhs, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser()resip::LazyParserprotected
markDirty() constresip::LazyParserinline
mHeaderTyperesip::ParserCategoryprotected
mParametersresip::ParserCategoryprotected
mPoolresip::ParserCategoryprotected
mUnknownParametersresip::ParserCategoryprotected
NoCommaTokenizing enum valueresip::ParserCategory
numKnownParams() constresip::ParserCategoryinline
numUnknownParams() constresip::ParserCategoryinline
operator!=(const Token &rhs) constresip::Token
operator<(const Token &rhs) constresip::Token
operator=(const Token &)resip::Token
resip::ParserCategory::operator=(const ParserCategory &rhs)resip::ParserCategory
resip::LazyParser::operator=(const LazyParser &rhs)resip::LazyParser
operator==(const Token &rhs) constresip::Token
param(const ExtensionParameter &param) constresip::Token
param(const ExtensionParameter &param)resip::Token
ParameterList typedefresip::ParserCategoryprotected
ParameterTypeSet typedefresip::ParserCategory
parse(ParseBuffer &pb)resip::Tokenvirtual
parseParameters(ParseBuffer &pb)resip::ParserCategory
ParserCategory(const HeaderFieldValue &headerFieldValue, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const char *buf, int length, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const ParserCategory &rhs, PoolBase *pool=0)resip::ParserCategory
ParserCategory(PoolBase *pool=0)resip::ParserCategoryprotected
remove(const Param< Token > &paramType)resip::Token
remove(const ParamBase &paramType)resip::Token
remove(const ExtensionParameter &param)resip::Token
removeParameterByData(const Data &data)resip::ParserCategoryprotected
removeParameterByEnum(ParameterTypes::Type type)resip::ParserCategory
removeParametersExcept(const ParameterTypeSet &set=EmptyParameterTypeSet)resip::ParserCategory
setParameter(const Parameter *parameter)resip::ParserCategory
Token()resip::Token
Token(const Data &d)resip::Tokenexplicit
Token(const HeaderFieldValue &hfv, Headers::Type type, PoolBase *pool=0)resip::Token
Token(const Token &orig, PoolBase *pool=0)resip::Token
UnknownParserCategory enum valueresip::ParserCategory
value() constresip::Token
value()resip::Token
~LazyParser()resip::LazyParservirtual
~ParserCategory()resip::ParserCategoryvirtual